Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Delete VPC

Removes the VPC and releases its address range. Refused while any resource is still attached to it. This cannot be undone.

DELETE/vpc/{vpc_id}/

Path parameters

  • vpc_idPathintegerrequired

    VPC ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Responses

200VPC deleted
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleVPC deleted successfully.
412Something is still attached to the VPC, so it cannot be deleted.
object
codeinteger
example412
dataobject
errorsobject
messagestring
exampleDetach all resources before deleting this VPC.